@font-face {
    font-family: valheim;
    src: url("/type/Norse.otf");
}

@font-face {
    font-family: valheim-bold;
    src: url("/type/NorseBold.otf");
}

@font-face {
    font-family: ptserif-bold;
    src: url("/type/PTSerif-Bold.ttf");
}

@font-face {
    font-family: ptserif;
    src: url("/type/PTSerif-Regular.ttf");
}

body {
    font-family: valheim;
    margin: 0;
}

li {
    list-style-type: none;
}

ul {
    padding: 0px;
    margin: 0px;
    margin-block: 0px;
    padding-inline: 0px;
}

#map {
    position: absolute;
    height: 100%;
    width: 100%;
    background: radial-gradient(circle, linen 0%, floralwhite 80%);
}

#logout {
    position: absolute;
    top: 0px;
    right: 0px;
    margin: 3px;
    background-color: snow;
    height: 25px;
    width: 25px;
    cursor: pointer;
    border-radius: 2px;
    border: 1px slategray solid;
}

#login {
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: snow;
    margin: 5px;
    padding: 5px;
}

#login input[type=submit] {
    margin-left: 5px;
}

#image {
    position: absolute;
    top: 1px;
    right: 35px;
    margin: 3px;
    background-color: snow;
    height: 25px;
    width: 25px;
    cursor: pointer;
}

#debug {
    position: absolute;
    bottom: 0px;
    right: 45%;
    background-color: snow;
    font-size: 9px;
    padding: 2px;
    padding-bottom: 3px;
    font-family: "ptserif";
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border: 1px solid white;
}

#ping {
    position: absolute;
    right: 0px;
    bottom: 0px;
    margin: 3px;
    padding: 5px;
    background-color: whitesmoke;
    border-radius: 8px;
    border: 2px white solid;
}

#compass {
    position: absolute;
    right: 11px;
    bottom: 25px;
    width: 100px;
    border-radius: 60px;
}

#sidebar {
    font-family: "ptserif";
    position: absolute;
    display: flex;
    flex-direction: column;
    max-height: 100%;
    width: 220px;
    backdrop-filter: blur(5px);
    padding-left: 5px;
    background-color: rgba(255, 250, 250, 0.7);
    border-right: 1px white solid;
    transition: left 400ms ease-out;
}

#search {
    margin-top: 5px;
    padding: 5px;
    margin-right: 5px;
    background-color: whitesmoke;
    border-radius: 5px;
}

#searchbox {
    width: 98%;
}

#pointform {
    padding-top: 10px;
    padding-left: 5px;
    padding-bottom: 5px;
    height: 150px;
    font-size: 18px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 205px;
}

#pointrow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#buttonrow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#sidebarshrink {
    left: 225px;
    position: absolute;
    width: 25px;
    height: 25px;
    background-color: rgba(255, 250, 250, 0.9);
    border: 1px white solid;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
    font-size: 30px;
    text-align: center;
    line-height: 22px;
    margin: 3px;
    margin-left: 0px;
    cursor: pointer;
}

#sidebarshrink:hover {
    background-color: ghostwhite;
}

.sidebar-open {
    left: 0px;
}

.sidebar-closed {
    left: -225px;
}

#x,
#y {
    width: 50px;
    margin-right: 10px;
}

#label {
    width: 150px;
}

label {
    margin-right: 5px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input,
select {
    border: none;
    border-bottom: 1px black solid;
    background: none;
    font-size: inherit;
    font-family: inherit;
}

#biome {
    width: 142px;
    padding-left: 3px;
}

#token {
    width: 200px;
}

input:required:invalid {
    border-bottom-color: indianred;
    border-bottom-style: dashed;
}

input:required:valid {
    border-bottom-color: olivedrab;
}

label {
    color: darkslategrey;
}

input[type=submit] {
    color: lightslategray;
    border: none;
    border: 1px slategray solid;
    background-color: snow;
    border-radius: 5px;
    height: 30px;
    width: 75px;
    cursor: pointer;
    line-height: 30px;
}

#polyKind {
    margin-right: 10px;
}

select:focus,
input:focus {
    outline: none;
}

.append-btn:focus,
.append-btn:hover {
    color: darkslategray;
    background-color: #f1f1f1;
}

.append-btn:disabled,
.append-btn:disabled:hover {
    color: ghostwhite;
}

.append-btn:active {
    color: darkblue;
}

form:invalid .append-btn {
    border-color: rgb(236, 187, 182);
    border-width: 1px;
    border-style: solid;
    background-color: rgb(255, 229, 226);
    color: lightgray;
    cursor: default;
}

.polyitem {
    width: 205px;
    height: 20px;
    border-radius: 5px;
    background-color: rgba(255, 250, 240, .5);
    margin: 3px;
    margin-left: 2px;
    margin-right: 2px;
    padding-left: 5px;
    padding-right: 3px;
    padding-top: 3px;
    padding-bottom: 3px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    border: 1px snow solid;
    cursor: zoom-in;
    font-size: 12px;
}

.polyitem:hover {
    background-color: rgba(255, 255, 255, 0.7);
}

.activepolyitem {
    background-color: bisque;
    cursor: zoom-out;
}

.activepolyitem:hover {
    background-color: blanchedalmond;
}

.polysize {
    background-color: lightgrey;
    width: 27px;
    border-radius: 10px;
    text-align: center;
    line-height: 19px;
}

.polykind {
    background-color: rgb(238, 243, 244);
    width: 38px;
    text-align: center;
    border-radius: 5px;
    line-height: 15px;
    font-size: 10px;
    height: 16px;
    margin-top: 2px;
    text-transform: capitalize;
}

.pointset {
    font-size: 0.6em;
    display: block;
    margin-right: 5px;
    margin-left: 5px;
    padding-left: 2px;
    padding-right: 2px;
}

.pointitem {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    border-radius: 2px;
    margin-top: 2px;
    cursor: pointer;
}

.pointitem:hover {
    background-color: color-mix(in srgb, lightseagreen 50%, white) !important;
}

.activepoint {
    background-color: lightseagreen !important;
}

.pointxy {
    padding-left: 3px;
}

.pointlabel {
    width: 108px;
    white-space: nowrap;
    overflow: hidden;
    text-align: center;
    text-transform: capitalize;
}

.pointdel {
    background-color: lightgray;
    padding: 1px;
    padding-left: 2px;
    padding-right: 2px;
    border-radius: 2px;
}

.pointdel:hover {
    background-color: moccasin;
    cursor: pointer;
}

#listcontainer {
    padding: 0px;
    margin: 0px;
}

#list {
    overflow-y: auto;
    overflow-x: hidden;
    transition: height 300ms ease-out;
}

.list-open {
    display: block;
    height: calc(100vh - (34px + 165px + 25px));
}

.list-closed {
    height: 0px;
}

#listshrink {
    border: 1px white solid;
    cursor: pointer;
    color: transparent;
    background-color: snow;
    margin-right: 4px;
    height: 15px;
    border-radius: 3px;
}

#listshrink:hover {
    background-color: gainsboro;
}

#shrinkarrow {
    margin-left: 103px;
    margin-bottom: 2px;
}

.flipY {
    transform: scaleY(-1);
}
